# chartPopulateDonutData

## Description

A donut chart displays quantitative data in a similar way to a pie chart, except it has an area of the centre cut out. This empty space can be used to display additional data or the title of the chart.

## Input / Parameter

| Name         | Description                                           | Input Type  | Default | Options | Required |
| ------------ | ----------------------------------------------------- | ----------- | ------- | ------- | -------- |
| component    | The name of the Chart component to take details from. | String/Text | -       | -       | Yes      |
| componentId  | The id of the Chart component to take details from.   | String/Text | -       | -       | No       |
| title        | The title of the chart.                               | String/Text | -       | -       | No       |
| dataCaptions | The legend for each data.                             | Array/List  | -       | -       | No       |
| data         | The data values for each legend.                      | Array/List  | -       | -       | Yes      |
| dataColors   | The colors to be set for each legend.                 | Array/List  | -       | -       | No       |

## Output

N/A

Note: The Chart component will be updated with the donut chart parameters specified.

## Callback

N/A

## Video

Coming Soon.

## Example

Coming Soon.

### Steps

Coming Soon.

### Result

Coming Soon.

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/chart/chartpopulatedonutdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
